GNU bug report logs - #40802
26.3; back-directory-alist ignored

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Brett Carter <brett@HIDDEN>; Keywords: unreproducible; dated Thu, 23 Apr 2020 22:50:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) unreproducible. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40802 <at> debbugs.gnu.org:


Received: (at 40802) by debbugs.gnu.org; 25 Apr 2020 13:43:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 09:43:48 2020
Received: from localhost ([127.0.0.1]:59037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSL5v-0000Yw-Up
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 09:43:48 -0400
Received: from mail-yb1-f175.google.com ([209.85.219.175]:43468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1jSL5u-0000Yj-9J
 for 40802 <at> debbugs.gnu.org; Sat, 25 Apr 2020 09:43:46 -0400
Received: by mail-yb1-f175.google.com with SMTP id o198so6704986ybg.10
 for <40802 <at> debbugs.gnu.org>; Sat, 25 Apr 2020 06:43:46 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=hWkoFEgZHYS8UoyQvTAO7nQ1cbFlqwdmbPAmC3GCIL8=;
 b=giTsCXEd0YI0ywDJjZ1zim26iA/PkAmG+FtdzjuYQ1gt9OX4a42gs3NIyUy+6Xcv/a
 ufudD3U1WfvPOOXcJci6/ITvhEDzJHIJFXBo4yuzqKyR68v12mwqNjGNahKofiFHyxrk
 ZFFLYl4+kWFftMZlvIc53YNqq9kWaWQRhHU96SCCuCgWwRxHBuP1n9W5JUBZWviypDhi
 cWDGUvE22AvtKAtxG5YsRyLSGY9dt8SG22KTh5S3EmsJXZWy0WOdV6U90vRkySHGbPYZ
 jvgzCQuQqvc/QebRM3XI4uB2ZuwarRzlWQ3Uvo4NCoOsPqg7mE6Xk+ntD3xFT2Di2PCX
 /CFQ==
X-Gm-Message-State: AGi0PuYUnmw/mjV1eqSd/31UKykwc8J/UqV7wp5XNB6hHMJB0WiwaDVP
 9vlDY23f4hUFvQjekydQZMoKcfQhxf2LDnUGNbo=
X-Google-Smtp-Source: APiQypL7CBp2kODuYbRevxcXpzZQ9q4qjvIYr8U/+C5zoBl0FfNUy17HZ0gQyLgn0e2HNb6Olov6JMABXSWMAGDFZZE=
X-Received: by 2002:a25:c102:: with SMTP id r2mr24883718ybf.43.1587822220667; 
 Sat, 25 Apr 2020 06:43:40 -0700 (PDT)
MIME-Version: 1.0
References: <CALeEg387CpTg9_i7edJT=sAXhmMEKAseCq+FQ=8Dg0R_LVAT5A@HIDDEN>
 <83ftcr9au5.fsf@HIDDEN>
In-Reply-To: <83ftcr9au5.fsf@HIDDEN>
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 25 Apr 2020 15:43:29 +0200
Message-ID: <CADwFkmmdvsoytpe=rF5fhPoLezW3Nv=3c7GZS10Zo0Q6UF44bQ@HIDDEN>
Subject: Re: bug#40802: 26.3; back-directory-alist ignored
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 40802
Cc: 40802 <at> debbugs.gnu.org, Brett Carter <brett@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> > As of Emacs 26.3 on OSX is appears back-directory-alist is

Is it possible this is because you misspelled backup-directory-alist?

> > ignored. Auto-save files are no longer going to a tmpdir but are always
> > saved in the current directory.
> >
> > I verified this by starting emacs with --no-init-file and setting the
> > backup-directory-alist manually.
>
> I cannot reproduce this on my system, so it's probably either specific
> to OSX or specific to your system.

I can't reproduce this on my macOS machine, using "emacs -Q" and:

(setq backup-directory-alist '(("." . "~/backups")))

In GNU Emacs 26.3 (build 1, x86_64-apple-darwin14.5.0, NS
appkit-1348.17 Version 10.10.5 (Build 14F2511))
 of 2019-09-02 built on builder10-10.porkrind.org
Windowing system distributor 'Apple', version 10.3.1561

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40802; Package emacs. Full text available.

Message received at 40802 <at> debbugs.gnu.org:


Received: (at 40802) by debbugs.gnu.org; 25 Apr 2020 09:25:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 25 05:25:14 2020
Received: from localhost ([127.0.0.1]:58532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jSH3h-0006kg-RS
	for submit <at> debbugs.gnu.org; Sat, 25 Apr 2020 05:25:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jSH3f-0006kS-4X
 for 40802 <at> debbugs.gnu.org; Sat, 25 Apr 2020 05:25:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50797)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jSH3Y-0004Dh-Ai; Sat, 25 Apr 2020 05:25:04 -0400
Received: from [176.228.60.248] (port=2268 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jSH3U-0003Zs-Mu; Sat, 25 Apr 2020 05:25:01 -0400
Date: Sat, 25 Apr 2020 12:24:50 +0300
Message-Id: <83ftcr9au5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Brett Carter <brett@HIDDEN>
In-Reply-To: <CALeEg387CpTg9_i7edJT=sAXhmMEKAseCq+FQ=8Dg0R_LVAT5A@HIDDEN>
 (message from Brett Carter on Thu, 23 Apr 2020 18:30:55 -0400)
Subject: Re: bug#40802: 26.3; back-directory-alist ignored
References: <CALeEg387CpTg9_i7edJT=sAXhmMEKAseCq+FQ=8Dg0R_LVAT5A@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40802
Cc: 40802 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Brett Carter <brett@HIDDEN>
> Date: Thu, 23 Apr 2020 18:30:55 -0400
> 
> As of Emacs 26.3 on OSX is appears back-directory-alist is
> ignored. Auto-save files are no longer going to a tmpdir but are always
> saved in the current directory.
> 
> I verified this by starting emacs with --no-init-file and setting the
> backup-directory-alist manually.

I cannot reproduce this on my system, so it's probably either specific
to OSX or specific to your system.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40802; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Apr 2020 22:49:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 23 18:49:14 2020
Received: from localhost ([127.0.0.1]:56015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRkeg-00036X-3O
	for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 18:49:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:39518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brett@HIDDEN>) id 1jRkNG-0002fD-C9
 for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 18:31:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57400)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <brett@HIDDEN>) id 1jRkNF-0000xJ-1Z
 for bug-gnu-emacs@HIDDEN; Thu, 23 Apr 2020 18:31:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.1 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,HTML_MESSAGE,RCVD_IN_DNSWL_NONE,
 SPF_PASS,URIBL_BLOCKED autolearn=unavailable autolearn_force=no
 version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <brett@HIDDEN>) id 1jRkND-0008Ia-7E
 for bug-gnu-emacs@HIDDEN; Thu, 23 Apr 2020 18:31:12 -0400
Received: from mail-ua1-x935.google.com ([2607:f8b0:4864:20::935]:35911)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <brett@HIDDEN>) id 1jRkNC-0008D5-Gj
 for bug-gnu-emacs@HIDDEN; Thu, 23 Apr 2020 18:31:10 -0400
Received: by mail-ua1-x935.google.com with SMTP id t8so7547632uap.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 23 Apr 2020 15:31:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=rdnzl.net; s=google;
 h=mime-version:from:date:message-id:subject:to;
 bh=ZjCbEDXnH2VBYZzBwOfQoyklZj/eSq5Eh/deU8zl41U=;
 b=JShhV0m0JSsY188mzRpS/Zpspns51s6y65Ag1He0hqKATE4m5MKpVFwecBBrWVSWMH
 jqYG8507kdfBnqJjz+TAHPO5lDQHqbW01OlC5MFuNM9jQS5bUpmnKjufqQQd+T8mCxN1
 9Rq6TMkoaUpim+/sNGWzz8r3avxNxC5Vh4GE8=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ZjCbEDXnH2VBYZzBwOfQoyklZj/eSq5Eh/deU8zl41U=;
 b=q5HryHMWnvyS7uxJ1bWQTR0Q9RmxEshe3q/fJKKuPWR6GRqvkfThlp71uG+ic6Wf8v
 y12xOH9VQVIKgTVRKfrXjg/ibPxXIT0swdzN7tSs6lgG0G/0NINvRw1WPWfJGryNgeDF
 fzhcaHK8hbT1EGx+Qhy0MskDlqPX6lC4oCYEyZTSa3ja79xotc6nQdU/Mte46tw5upNm
 BEXOwiWRz976mEpzOJXiYq9BH1m9MBX8TigwunTmaDvNp70IDcixA/qEFOsbZqSRJ2IP
 c9/Iviu+18TnCvx0oR0a1MW0UAqfEj/39FM1DvvNSi3u40J/zAKw+KXVUts8gSheL906
 nOyA==
X-Gm-Message-State: AGi0PuZsAXFMEhk3l+bNLphmxerNbF01GroTxnBi3isZNq9h63t3e9lN
 EBMXJhlWsDGnjeniSvVdgOu28VfiQjCmc/Dkr4tv7Mq3N2PACg==
X-Google-Smtp-Source: APiQypIhiJY1oHvS5qrranMtwo3OwIOIzZj2aqC+cHhmLK2dnhy/hjiEgz57169uZB77l3LO1Sgb8GWGlOnlTqNBiq8=
X-Received: by 2002:ab0:117:: with SMTP id 23mr5550966uak.67.1587681066572;
 Thu, 23 Apr 2020 15:31:06 -0700 (PDT)
MIME-Version: 1.0
From: Brett Carter <brett@HIDDEN>
Date: Thu, 23 Apr 2020 18:30:55 -0400
Message-ID: <CALeEg387CpTg9_i7edJT=sAXhmMEKAseCq+FQ=8Dg0R_LVAT5A@HIDDEN>
Subject: 26.3; back-directory-alist ignored
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000fd748f05a3fccd1b"
Received-SPF: pass client-ip=2607:f8b0:4864:20::935;
 envelope-from=brett@HIDDEN; helo=mail-ua1-x935.google.com
X-detected-operating-system: by eggs.gnu.org: Error: [-] PROGRAM ABORT :
 Malformed IPv6 address (bad octet value).
 Location : parse_addr6(), p0f-client.c:67
X-Received-From: 2607:f8b0:4864:20::935
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 23 Apr 2020 18:49:13 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000fd748f05a3fccd1b
Content-Type: text/plain; charset="UTF-8"

As of Emacs 26.3 on OSX is appears back-directory-alist is
ignored. Auto-save files are no longer going to a tmpdir but are always
saved in the current directory.

I verified this by starting emacs with --no-init-file and setting the
backup-directory-alist manually.

-Brett


In GNU Emacs 26.3 (build 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20
Version 10.14.3 (Build 18D109))
 of 2019-09-02 built on builder10-14.porkrind.org
Windowing system distributor 'Apple', version 10.3.1671
Recent messages:
uncompressing files.el.gz...done
Wrote /Users/brett/.emacs.d/.emacs.desktop.lock
Desktop: 1 frame, 4 buffers restored.
Turning on magit-auto-revert-mode...done (0.352s, 10 buffers checked)
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading /Users/brett/.emacs.d/recentf...done
Cleaning up the recentf list...done (0 removed)
package.json has auto save data; consider M-x recover-this-file
Undo!
C-M-g is undefined

Configured using:
 'configure --with-ns '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp' --with-modules'

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS MODULES THREADS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  recentf-mode: t
  global-anzu-mode: t
  anzu-mode: t
  helm-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  global-magit-file-mode: t
  magit-file-mode: t
  diff-auto-refine-mode: t
  magit-auto-revert-mode: t
  auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  flyspell-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  flycheck-color-mode-line-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  show-paren-mode: t
  save-place-mode: t
  desktop-save-mode: t
  global-whitespace-mode: t
  delete-selection-mode: t
  global-hl-line-mode: t
  electric-pair-mode: t
  savehist-mode: t
  override-global-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail helm-command helm-elisp
helm-eval edebug recentf tree-widget wid-edit ido helm-x-files
helm-for-files helm-bookmark helm-adaptive helm-info magit-bookmark
bookmark pp winner helm-external helm-net browse-url xml jka-compr js
sgml-mode dom pcase vc-git init tramp tramp-compat tramp-loaddefs
trampver parse-time midnight shell-pop term ehelp anzu helm-mode
helm-files helm-buffers helm-occur helm-tags helm-locate helm-grep
helm-regexp helm-utils helm-help helm-types helm-config helm-easymenu
yasnippet powerline powerline-separators color powerline-themes
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode diff-mode magit-core magit-autorevert autorevert filenotify
magit-margin magit-transient magit-process magit-mode git-commit
transient magit-git magit-section magit-utils crm log-edit message rmc
puny dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived epg
gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader pcvs-util with-editor async-bytecomp
shell pcomplete server flycheck-gometalinter go-guru go-mode url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap find-file ffap go-autocomplete php-mode
mode-local imenu speedbar sb-image ezimage dframe add-log cc-langs
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs php-face php php-project ac-ispell flyspell-lazy
helm-flyspell flyspell ispell helm helm-source eieio-compat
helm-multi-match helm-lib async flycheck-haskell flycheck-pos-tip
pos-tip flycheck-color-mode-line face-remap flycheck json map find-func
subr-x dash haskell-mode haskell-cabal haskell-utils haskell-font-lock
haskell-indentation haskell-string haskell-sort-imports haskell-lexeme
rx haskell-align-imports haskell-complete-module haskell-ghc-support
noutline outline flymake-proc flymake warnings thingatpt etags xref
project compile comint ring dabbrev ansi-color haskell-customize
auto-complete-config auto-complete edmacro kmacro popup
twilight-anti-bright-theme better-defaults paren saveplace
exec-path-from-shell cl-extra help-mode desktop frameset disp-table
whitespace delsel hl-line elec-pair play-sound cl advice savehist
use-package use-package-ensure use-package-delight use-package-diminish
use-package-bind-key bind-key easy-mmode use-package-core finder-inf
info package easymenu epg-config url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars
seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-date
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/ns-win ns-win ucs-normalize mule-util term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow isearch timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core term/tty-colors frame cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 592818 47387)
 (symbols 48 48646 3)
 (miscs 40 396 611)
 (strings 32 152919 4251)
 (string-bytes 1 4530554)
 (vectors 16 78826)
 (vector-slots 8 1243801 37730)
 (floats 8 351 441)
 (intervals 56 1737 425)
 (buffers 992 19))

--000000000000fd748f05a3fccd1b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">As of Emacs 26.3 on OSX is appears back-directory-alist is=
<br>ignored. Auto-save files are no longer going to a tmpdir but are always=
<br>saved in the current directory.<br><br>I verified this by starting emac=
s with --no-init-file and setting the<br><div>backup-directory-alist manual=
ly.</div><div><br></div><div>-Brett<br></div><br><br>In GNU Emacs 26.3 (bui=
ld 1, x86_64-apple-darwin18.2.0, NS appkit-1671.20 Version 10.14.3 (Build 1=
8D109))<br>=C2=A0of 2019-09-02 built on <a href=3D"http://builder10-14.pork=
rind.org">builder10-14.porkrind.org</a><br>Windowing system distributor &#3=
9;Apple&#39;, version 10.3.1671<br>Recent messages:<br>uncompressing files.=
el.gz...done<br>Wrote /Users/brett/.emacs.d/.emacs.desktop.lock<br>Desktop:=
 1 frame, 4 buffers restored.<br>Turning on magit-auto-revert-mode...done (=
0.352s, 10 buffers checked)<br>For information about GNU Emacs and the GNU =
system, type C-h C-a.<br>Loading /Users/brett/.emacs.d/recentf...done<br>Cl=
eaning up the recentf list...done (0 removed)<br>package.json has auto save=
 data; consider M-x recover-this-file<br>Undo!<br>C-M-g is undefined<br><br=
>Configured using:<br>=C2=A0&#39;configure --with-ns &#39;--enable-locallis=
ppath=3D/Library/Application<br>=C2=A0Support/Emacs/${version}/site-lisp:/L=
ibrary/Application<br>=C2=A0Support/Emacs/site-lisp&#39; --with-modules&#39=
;<br><br>Configured features:<br>NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCR=
OLL_BARS NS MODULES THREADS<br><br>Important settings:<br>=C2=A0 value of $=
LANG: en_US.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major m=
ode: Emacs-Lisp<br><br>Minor modes in effect:<br>=C2=A0 recentf-mode: t<br>=
=C2=A0 global-anzu-mode: t<br>=C2=A0 anzu-mode: t<br>=C2=A0 helm-mode: t<br=
>=C2=A0 yas-global-mode: t<br>=C2=A0 yas-minor-mode: t<br>=C2=A0 global-mag=
it-file-mode: t<br>=C2=A0 magit-file-mode: t<br>=C2=A0 diff-auto-refine-mod=
e: t<br>=C2=A0 magit-auto-revert-mode: t<br>=C2=A0 auto-revert-mode: t<br>=
=C2=A0 global-git-commit-mode: t<br>=C2=A0 async-bytecomp-package-mode: t<b=
r>=C2=A0 shell-dirtrack-mode: t<br>=C2=A0 flyspell-mode: t<br>=C2=A0 helm-a=
utoresize-mode: t<br>=C2=A0 helm--remap-mouse-mode: t<br>=C2=A0 flycheck-co=
lor-mode-line-mode: t<br>=C2=A0 global-flycheck-mode: t<br>=C2=A0 flycheck-=
mode: t<br>=C2=A0 global-auto-complete-mode: t<br>=C2=A0 auto-complete-mode=
: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=A0 des=
ktop-save-mode: t<br>=C2=A0 global-whitespace-mode: t<br>=C2=A0 delete-sele=
ction-mode: t<br>=C2=A0 global-hl-line-mode: t<br>=C2=A0 electric-pair-mode=
: t<br>=C2=A0 savehist-mode: t<br>=C2=A0 override-global-mode: t<br>=C2=A0 =
tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=
=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 menu=
-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-=
mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 auto-composition-mode: t<br>=
=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0=
 column-number-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 transient-ma=
rk-mode: t<br><br>Load-path shadows:<br>None found.<br><br>Features:<br>(sh=
adow sort mail-extr emacsbug sendmail helm-command helm-elisp<br>helm-eval =
edebug recentf tree-widget wid-edit ido helm-x-files<br>helm-for-files helm=
-bookmark helm-adaptive helm-info magit-bookmark<br>bookmark pp winner helm=
-external helm-net browse-url xml jka-compr js<br>sgml-mode dom pcase vc-gi=
t init tramp tramp-compat tramp-loaddefs<br>trampver parse-time midnight sh=
ell-pop term ehelp anzu helm-mode<br>helm-files helm-buffers helm-occur hel=
m-tags helm-locate helm-grep<br>helm-regexp helm-utils helm-help helm-types=
 helm-config helm-easymenu<br>yasnippet powerline powerline-separators colo=
r powerline-themes<br>magit-submodule magit-obsolete magit-blame magit-stas=
h magit-reflog<br>magit-bisect magit-push magit-pull magit-fetch magit-clon=
e magit-remote<br>magit-commit magit-sequence magit-notes magit-worktree ma=
git-tag<br>magit-merge magit-branch magit-reset magit-files magit-refs magi=
t-status<br>magit magit-repos magit-apply magit-wip magit-log which-func ma=
git-diff<br>smerge-mode diff-mode magit-core magit-autorevert autorevert fi=
lenotify<br>magit-margin magit-transient magit-process magit-mode git-commi=
t<br>transient magit-git magit-section magit-utils crm log-edit message rmc=
<br>puny dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived ep=
g<br>gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode mail-pars=
e<br>rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev<br>ma=
il-utils gmm-utils mailheader pcvs-util with-editor async-bytecomp<br>shell=
 pcomplete server flycheck-gometalinter go-guru go-mode url<br>url-proxy ur=
l-privacy url-expand url-methods url-history url-cookie<br>url-domsuf url-u=
til mailcap find-file ffap go-autocomplete php-mode<br>mode-local imenu spe=
edbar sb-image ezimage dframe add-log cc-langs<br>cc-mode cc-fonts cc-guess=
 cc-menus cc-cmds cc-styles cc-align cc-engine<br>cc-vars cc-defs php-face =
php php-project ac-ispell flyspell-lazy<br>helm-flyspell flyspell ispell he=
lm helm-source eieio-compat<br>helm-multi-match helm-lib async flycheck-has=
kell flycheck-pos-tip<br>pos-tip flycheck-color-mode-line face-remap flyche=
ck json map find-func<br>subr-x dash haskell-mode haskell-cabal haskell-uti=
ls haskell-font-lock<br>haskell-indentation haskell-string haskell-sort-imp=
orts haskell-lexeme<br>rx haskell-align-imports haskell-complete-module has=
kell-ghc-support<br>noutline outline flymake-proc flymake warnings thingatp=
t etags xref<br>project compile comint ring dabbrev ansi-color haskell-cust=
omize<br>auto-complete-config auto-complete edmacro kmacro popup<br>twiligh=
t-anti-bright-theme better-defaults paren saveplace<br>exec-path-from-shell=
 cl-extra help-mode desktop frameset disp-table<br>whitespace delsel hl-lin=
e elec-pair play-sound cl advice savehist<br>use-package use-package-ensure=
 use-package-delight use-package-diminish<br>use-package-bind-key bind-key =
easy-mmode use-package-core finder-inf<br>info package easymenu epg-config =
url-handlers url-parse auth-source<br>cl-seq eieio eieio-core cl-macs eieio=
-loaddefs password-cache url-vars<br>seq byte-opt gv bytecomp byte-compile =
cconv cl-loaddefs cl-lib time-date<br>tooltip eldoc electric uniquify ediff=
-hook vc-hooks lisp-float-type<br>mwheel term/ns-win ns-win ucs-normalize m=
ule-util term/common-win<br>tool-bar dnd fontset image regexp-opt fringe ta=
bulated-list replace<br>newcomment text-mode elisp-mode lisp-mode prog-mode=
 register page<br>menu-bar rfn-eshadow isearch timer select scroll-bar mous=
e jit-lock<br>font-lock syntax facemenu font-core term/tty-colors frame cl-=
generic<br>cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-v=
iet lao<br>korean japanese eucjp-ms cp51932 hebrew greek romanian slovak cz=
ech<br>european ethiopic indian cyrillic chinese composite charscript charp=
rop<br>case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuf=
fer<br>cl-preloaded nadvice loaddefs button faces cus-face macroexp files<b=
r>text-properties overlay sha1 md5 base64 format env code-pages mule<br>cus=
tom widget hashtable-print-readable backquote threads kqueue cocoa ns<br>mu=
lti-tty make-network-process emacs)<br><br>Memory information:<br>((conses =
16 592818 47387)<br>=C2=A0(symbols 48 48646 3)<br>=C2=A0(miscs 40 396 611)<=
br>=C2=A0(strings 32 152919 4251)<br>=C2=A0(string-bytes 1 4530554)<br>=C2=
=A0(vectors 16 78826)<br>=C2=A0(vector-slots 8 1243801 37730)<br>=C2=A0(flo=
ats 8 351 441)<br>=C2=A0(intervals 56 1737 425)<br>=C2=A0(buffers 992 19))<=
br></div>

--000000000000fd748f05a3fccd1b--




Acknowledgement sent to Brett Carter <brett@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40802; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 27 Apr 2020 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.